User ErollmentAsk AIpost https://kandu-merchants-dev.kanduwallet.mx/api/customersEnrolls a new customer in the payment gateway system. Creates a end-user record with associated channel configurations for payment processing.Body ParamsreferencestringrequiredReference of the end-user, ideally a UUID but supports any string. maxLength: 50 minLength: 0 pattern: ^[a-zA-Z0-9-_.@]+$namestringrequiredName of the end-user to be enrolled into the Gateway. maxLength: 128 minLength: 0 pattern: ^[A-Z\s]+$rfcstringrequiredRFC (tax ID) of the end-user. Mandatory field, will determine uniqueness of the end-user. maxLength: 13 minLength: 0 pattern: ^[A-Z&]{3,4}[0-9]{6}[A-Z0-9]{3}$curpstringCURP of the end-user. Not mandatory field, preferably to be sent. maxLength: 18 minLength: 0 pattern: ^$|^[A-Z]{4}[0-9]{6}[HM][A-Z]{5}[0-9A-Z][0-9]$ nullable: trueemailstringemail of the end-user maxLength: 256 minLength: 0 nullable: truephoneNumberstring10-digit phone number of the end-user pattern: ^$|^[0-9]{10,14}$ nullable: truechannelsobjectchannels objectHeadersX-Api-KeystringrequiredApi Key provided to you in the onboarding processX-TimestampstringrequiredTimestamp for the request in epochX-NoncestringrequiredUnique Identifier for the RequestX-SignaturestringrequiredHMAC-256 signature for the messageResponses 200Customer enrolled successfully. Returns the enrolled customer data with channel information. 400Bad request. Invalid input data or validation errors in the request payload. 401Unauthorized. Signature is invalid or missing. 406Not acceptable. The request was rejected due to third-party involvement. 409Conflict. The request was rejected due to a business rule violation. 500Internal server error. An unexpected error occurred while processing the request.Updated 2 months ago